## gate.gui
Class SchemaAnnotationEditor.InnerFeaturesEditor

    java.lang.Object
      |
      +--javax.swing.AbstractCellEditor
            |
            +--gate.gui.SchemaAnnotationEditor.InnerFeaturesEditor

All Implemented Interfaces:
  CellEditor, Serializable, TableCellEditor

Enclosing class:
  SchemaAnnotationEditor

class SchemaAnnotationEditor.InnerFeaturesEditor
extends AbstractCellEditor
implements TableCellEditor

This inner class deals with the feature type being eddited. What it does is to decide what GUI component to use (JComboBox, JTextField or JLabel)

See Also:
  Serialized Form

Field Summary
`(package private) JComboBox` `cb`
`(package private) JTextField` `tf`
`(package private) int` `thisColumn`
`(package private) int` `thisRow`

Fields inherited from class javax.swing.AbstractCellEditor
`changeEvent, listenerList`

Constructor Summary
`SchemaAnnotationEditor.InnerFeaturesEditor()` Constructor

Method Summary
`Object` `getCellEditorValue()`
`Component` `getTableCellEditorComponent(JTable table, Object value, boolean isSelected, int row, int column)` The method overridden in order to implement behaviour

Methods inherited from class javax.swing.AbstractCellEditor
`addCellEditorListener, cancelCellEditing, fireEditingCanceled, fireEditingStopped, isCellEditable, removeCellEditorListener, shouldSelectCell, stopCellEditing`

Methods inherited from class java.lang.Object
`<clinit>, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, toString, wait, wait, wait`

Methods inherited from interface javax.swing.CellEditor
`addCellEditorListener, cancelCellEditing, isCellEditable, removeCellEditorListener, shouldSelectCell, stopCellEditing`

Field Detail

### cb

    JComboBox cb

### tf

    JTextField tf

### thisRow

    int thisRow

### thisColumn

    int thisColumn

Constructor Detail

### SchemaAnnotationEditor.InnerFeaturesEditor

    public SchemaAnnotationEditor.InnerFeaturesEditor()

  Constructor

Method Detail

### getTableCellEditorComponent

    public Component getTableCellEditorComponent(JTable table,
                                                 Object value,
                                                 boolean isSelected,
                                                 int row,
                                                 int column)

  The method overridden in order to implement behaviour
  Specified by:
    `getTableCellEditorComponent` in interface `TableCellEditor`

### getCellEditorValue

    public Object getCellEditorValue()

  Specified by:
    `getCellEditorValue` in interface `CellEditor`
  Overrides:
    `getCellEditorValue` in class `AbstractCellEditor`
  Returns:
    the object representing the value stored at that cell